/* localciv.cmd */
/* $Header$ */
/* Small REXX script to run a local FreeCiv session, 
   i.e. to start a local server and connect a local client to it.
   We don't handle any commandline arguments, but it should
   be trivial to enhance this script ... 
   
   Written by
   Alexander Mai 
   st002279@hrzpub.tu-darmstadt.de
   amai@lesstif.org
 */

Parse Arg Param

delay = 3

if ChkRexxUtil() > 0 then
  do
  say "Can't load RexxUtil!"
  say "Quitting"
  exit 1
  end

/* Debugging support */
if Param="/d" then  
  do
  trace a
  end
  
/* Determine where FreeCiv is installed: namely inside the XFree86OS/2
   tree! */
x11root = Value("X11ROOT", , "OS2ENVIRONMENT")
if x11root="" then
  do
  say "Environment variable X11ROOT is not set!"
  exit 1
  end
say "Using X11ROOT="x11root
freeciv_path = x11root"/XFree86/lib/X11/freeciv/data"
call Value "FREECIV_PATH", freeciv_path, "OS2ENVIRONMENT"
say "using FREECIV_PATH="freeciv_path

/* Now start up the programs */
display = Value("DISPLAY", , "OS2ENVIRONMENT")
if x11root="" then
  do
  say "Environment variable DISPLAY is not set!"
  exit 2
  end
say "Wait a few seconds for the server to start up, then run the client ..."
"@start /C xterm -e civserver.exe"
call SysSleep delay
"@civclient.exe -server localhost"

exit 0


ChkRexxUtil: Procedure
/* Returns 0 if RexxUtil can/has been loaded properly, 1 else */

if RxFuncQuery('SysLoadFuncs') = 1 then
   do
   if RxFuncAdd('SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs') <> 0 then
      return 1
   else
     do
     call SysLoadFuncs
     return 0
     end
   end
else
  do
  call SysLoadFuncs
  return 0
  end
/* end ChkRexxUtil() */
